# class Prime::TrialDivisionGenerator

An implementation of `PseudoPrimeGenerator` which uses a prime table generated by trial division.

### Public Class Methods

new() click to toggle source
Calls superclass method `Prime::PseudoPrimeGenerator::new`

    # File lib/prime.rb, line 331
    def initialize
      @index = -1
      super
    end

### Public Instance Methods

next()
Alias for: succ
rewind() click to toggle source

    # File lib/prime.rb, line 339
    def rewind
      initialize
    end

succ() click to toggle source

    # File lib/prime.rb, line 336
    def succ
      TrialDivision.instance[@index += 1]
    end

Also aliased as: next